Bug 258352 - devel/mercurial: Update to 5.9.1
Summary: devel/mercurial: Update to 5.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sergey A. Osokin
URL: https://www.mercurial-scm.org/wiki/Re...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-07 21:33 UTC by Philipp Ost
Modified: 2021-09-16 02:17 UTC (History)
7 users (show)

See Also:
bugzilla: maintainer-feedback? (python)


Attachments
devel/mercurial: Update to 5.9.1 (880 bytes, patch)
2021-09-07 21:33 UTC, Philipp Ost
no flags Details | Diff
[PATCH] devel/mercurial: update to 5.9.1 (5.60 KB, patch)
2021-09-14 23:59 UTC, Sergey A. Osokin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Ost 2021-09-07 21:33:49 UTC
Created attachment 227746 [details]
devel/mercurial: Update to 5.9.1

Mercurial 5.9 has been released on August 20; the current source release available for download on the mercurial website is 5.9.1.

An overview of new features introduced with version 5.9 is available at https://www.mercurial-scm.org/wiki/Release5.9

This patch updates the port to version 5.9.1.

Tested with poudriere testport using a 12.2-Release-p10 jail (amd64 and i386).
Comment 1 Sergey A. Osokin freebsd_committer 2021-09-14 23:58:51 UTC
Hi Philipp,

thanks for the update.

The ports depend on devel/mercurial should be updated as well, their PORTREVISIONs should be bumped.

I've slightly updated your part, included an update for devel/tortoisehg to 5.9.1 as well
Comment 2 Sergey A. Osokin freebsd_committer 2021-09-14 23:59:51 UTC
Created attachment 227908 [details]
[PATCH] devel/mercurial: update to 5.9.1
Comment 3 Gleb Popov freebsd_committer 2021-09-15 04:35:23 UTC
tortoisehg changes are fine by me.
Comment 4 Xin LI freebsd_committer 2021-09-15 05:15:10 UTC
hg2svn portion looked fine to me (IMO you don't really need to seek for approval for large scale changes like this, but thanks for reaching out)
Comment 5 commit-hook freebsd_committer 2021-09-16 02:16:41 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=06a8050112e6f7d9e5cce0e3a61c05686f6d9b25

commit 06a8050112e6f7d9e5cce0e3a61c05686f6d9b25
Author:     Sergey A. Osokin <osa@FreeBSD.org>
AuthorDate: 2021-09-16 02:15:43 +0000
Commit:     Sergey A. Osokin <osa@FreeBSD.org>
CommitDate: 2021-09-16 02:16:07 +0000

    devel/mercurial: update to 5.9.1.

    Bump PORTREVISIONs for dependant ports.
    While I'm here update devel/tortoisehg to 5.9.1. (*)

    Approved by:    arrowd (*)
    PR:             ports/258352

 Mk/Uses/python.mk                | 4 ++--
 deskutils/zim/Makefile           | 1 +
 devel/git-cinnabar/Makefile      | 2 +-
 devel/hgreviewboard/Makefile     | 2 +-
 devel/hgsvn/Makefile             | 1 +
 devel/mercurial/Makefile         | 3 +--
 devel/mercurial/distinfo         | 6 +++---
 devel/ocaml-opam/Makefile        | 2 +-
 devel/py-hglib/Makefile          | 1 +
 devel/py-setuptools_scm/Makefile | 2 +-
 devel/tortoisehg/Makefile        | 4 ++--
 devel/tortoisehg/distinfo        | 6 +++---
 ports-mgmt/portshaker/Makefile   | 2 +-
 13 files changed, 19 insertions(+), 17 deletions(-)
Comment 6 Sergey A. Osokin freebsd_committer 2021-09-16 02:17:39 UTC
Committed with my modifications, thanks for the report, patch and testing!